addColumn {oce} | R Documentation

## Add a Column to the Data Slot of an Oce object [deprecated]

### Description

WARNING: This function will be removed soon; see oce-deprecated. Use `oceSetData` instead of the present function.

### Usage

    addColumn(x, data, name)

### Arguments

`x` | A `ctd` object, e.g. as read by `read.ctd`.
`data` | the data. The length of this item must match that of the existing data entries in the `data` slot).
`name` | the name of the column.

### Value

An object of `class` `oce`, with a new column.

### Author(s)

Dan Kelley

### See Also

Please use `oceSetData` instead of the present function.

Other functions that will be removed soon: `ctdAddColumn`, `ctdUpdateHeader`, `mapMeridians`, `mapZones`, `oce.as.POSIXlt`

[Package oce version 0.9-22 Index]